Subject: bug#35389: 27.0.50; [PATCH] Emacs on macOS sets mouse-wheel variables directly

From: Alan Third <[email-masked]>
Date: Sat, 11 May 2019 23:53:36 +0100

On Sat, May 11, 2019 at 11:54:13AM +0200, Robert Pluim wrote:
> >>>>> On Sat, 11 May 2019 09:12:13 +0300, Eli Zaretskii <[email-masked]> said:
> 
>     >> Date: Fri, 10 May 2019 22:25:31 +0100 From: Alan Third
>     >> <[email-masked]> Cc: Robert Pluim <[email-masked]>,
>     >> [email-masked], [email-masked]
>     >> 
>     >> > Why does that system configuration need a different default
>     >> to begin > with?  In general, having different defaults on
>     >> different systems is > not a good idea.
>     >> 
>     >> macOS 10.7+ handles wheel scrolling differently from how other
>     >> systems handle it. If we stick with the defaults then it
>     >> becomes uncontrollably fast, the current defaults make it feel
>     >> similar to X, Windows, etc.
>     >> 
>     >> IIRC, fixing it in C is probably possible, but not as straight
>     >> forward as just changing the defaults. There was discussion of
>     >> it in Emacs devel at the time and only one person objected, but
>     >> later changed their mind.
> 
> Could you give a time range for when that was discussed?

September 2017, apparently. I’ve provided a link in my reply to Eli.

>     Eli> Are you saying that testing the OS version and testing the
>     Eli> appkit version yield the same result in this case?  Or are
>     Eli> you saying that testing the appkit version is simply
>     Eli> incorrect?  Because that was my concern.
> 
> I think testing the appkit version is correct (but Iʼm not the expert
> here, Alan is).

It’s really six of one and half a dozen of the other. As far as I’m
aware each Appkit version always matches to a macOS version, although
the documentation says that’s not guaranteed. As I recall we went with
Appkit version because that was more readily available.
-- 
Alan Third